# eric3.eric3-unittest

Eric3 Unittest

This is the main Python script that performs the neccessary initialization of the unittest module and starts the Qt event loop. This is a standalone version of the integrated unittest module.

### Classes

None

### Functions

createMainWidget | Function to create the main widget.
main | Main entry point into the application.

## createMainWidget

createMainWidget(argv, qtDir)

Function to create the main widget.

argv
  list of commandline parameters (list of strings)
qtDir
  directory of the Qt installation (string)

Returns:
  reference to the main widget (QWidget)

Up

## main

main()

Main entry point into the application.

Up